curl --request GET \
--url "https://api.roe-ai.com/v1/agents/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123,
"private": true
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{}{
"detail": "<string>"
}{
"detail": "<string>"
}Agents
List Agents
Retrieve a list of agents or create a new agent.
GET
/
v1
/
agents
/
curl --request GET \
--url "https://api.roe-ai.com/v1/agents/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123,
"private": true
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{}{
"detail": "<string>"
}{
"detail": "<string>"
}curl --request GET \
--url "https://api.roe-ai.com/v1/agents/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"